TEMPLATE = app
DEPENDPATH += . src
INCLUDEPATH += .
CONFIG += thread
RESOURCES += flukz.qrc
QT += multimedia
QT += network

#choose a compilation mode in release, debug or profil
#intermediate files .o or .moc will be stored in different directories
#CONFIG += release

#compilation configuration
win32 {
	DEFINES += WINDOWS
	RC_FILE = flukzico.rc
	CONFIG += static
}

unix {
	DEFINES += LINUX
	CONFIG += static
}

macx {
	DEFINES += MACX
	CONFIG += x86 ppc
	CONFIG += static
}

CONFIG(debug, debug|release) {
	OBJECTS_DIR += debugTmp
	MOC_DIR += debugTmp
	RCC_DIR += debugTmp
	TARGET = bin/flukz_debug
	DEFINES += DEBUG
	CONFIG += console
} else {
	OBJECTS_DIR += releaseTmp
	MOC_DIR += releaseTmp
	RCC_DIR += releaseTmp
	TARGET = bin/flukz
}

#this flag can be used to debug binaries in release mode
#QMAKE_CXXFLAGS_RELEASE += -g

profil {
	CONFIG += debug
	QMAKE_CXXFLAGS_DEBUG += -pg
	QMAKE_LFLAGS_DEBUG += -pg
	TARGET = bin/flukz_profil
	OBJECTS_DIR = profilTmp
	MOC_DIR = profilTmp
	RCC_DIR = profilTmp
}

# Input
HEADERS += src/global.h \
		   src/tools/stringconverter.h \
		   src/tools/quicktimer.h \
		   src/tools/parameter.h \
		   src/tools/parameterwidget.h \
		   src/tools/simpledialogwidget.h \
		   src/tools/difftool.h \
		   src/gameengine/gamewidget.h \
		   src/gameengine/spriteparameter.h \
		   src/gameengine/sprite.h \
		   src/gameengine/levelparameter.h \
		   src/gameengine/level.h \
		   src/soundengine/soundengine.h \
		   src/soundengine/GEAudioBuffer.h \
		   src/soundengine/GEAudioBufferPlayInstance.h \
		   src/soundengine/GEAudioMixer.h \
		   src/soundengine/GEAudioOut.h \
		   src/soundengine/GEInterfaces.h \
		   src/soundengine/trace.h \
		   src/networkengine/message.h \
		   src/networkengine/connection.h \
		   src/networkengine/filerepository.h \
		   src/networkengine/highscorefile.h \
		   src/networkengine/serverobject.h \
		   src/networkengine/serverwidget.h \
		   src/networkengine/clientobject.h \
		   src/browseengine/commitwidget.h \
		   src/browseengine/loginwidget.h \
		   src/browseengine/browserwidget.h \
		   src/browseengine/flukzwidget.h

SOURCES += src/global.cpp \
		   src/flukz.cpp \
		   src/tools/stringconverter.cpp \
		   src/tools/quicktimer.cpp \
		   src/tools/parameter.cpp \
		   src/tools/parameterwidget.cpp \
		   src/tools/simpledialogwidget.cpp \
		   src/tools/difftool.cpp \
		   src/gameengine/gamewidget.cpp \
		   src/gameengine/spriteparameter.cpp \
		   src/gameengine/sprite.cpp \
		   src/gameengine/levelparameter.cpp \
		   src/gameengine/level.cpp \
		   src/soundengine/soundengine.cpp \
		   src/soundengine/GEAudioBuffer.cpp \
		   src/soundengine/GEAudioBufferPlayInstance.cpp \
		   src/soundengine/GEAudioMixer.cpp \
		   src/soundengine/GEAudioOut.cpp \
		   src/soundengine/GEInterfaces.cpp \
		   src/networkengine/message.cpp \
		   src/networkengine/connection.cpp \
		   src/networkengine/filerepository.cpp \
		   src/networkengine/highscorefile.cpp \
		   src/networkengine/serverobject.cpp \
		   src/networkengine/serverwidget.cpp \
		   src/networkengine/clientobject.cpp \
		   src/browseengine/commitwidget.cpp \
		   src/browseengine/loginwidget.cpp \
		   src/browseengine/browserwidget.cpp \
		   src/browseengine/flukzwidget.cpp

TRANSLATIONS = lang/flukz_fr.ts \
			   lang/flukz_de.ts
